Can't Install JRE v6, v7, v8, all 32bit error AOO 4.1.3

Issues with installing under all versions of MS Windows

Can't Install JRE v6, v7, v8, all 32bit error AOO 4.1.3

Postby looperupatree » Wed Feb 22, 2017 6:13 am

Hello,
I'm attempting to install Oracle Java into Apache OpenOFFICE 4.1.3 without success. I'm running Windows 7 Home Premium 32bit and I have installed JRE v(6), v(7), and v(8) all 32bit x586 and OpenOffice cannot see any of them. I have tools>options>Java>Use a Java runtime environment checked, and I have pointed Add>Select a Java Runtime Environment dialog - directly at each folder and OpenOffice has responded “The folder you have selected does not contain a Java Runtime Environment. Please select a different folder”.

From here it seems pretty hopeless— hope someone can help. I want to use OpenOffice in the long term, however, this functionality will be essential. Much regards
Apache OpenOffice 4.1.3
Windows 7 home premium
looperupatree
 
Posts: 4
Joined: Wed Feb 22, 2017 12:02 am

Re: Can't Install JRE v6, v7, v8, all 32bit error AOO 4.1.3

Postby RusselB » Wed Feb 22, 2017 7:09 am

You shouldn't have all three versions of Java installed.
While some parts of Open Office do require the 32 bit version of Java to be installed, not all of Open Office does require this.
As to installing Java, you should download the version from https://www.java.com/en/download/
That site will automatically detect which version of Java is the most up-to-date for the computer being used when the file is downloaded.
After downloading and installing Java, which may require internet access for the installation, you should restart your system.
If you have Java properly installed, and the Java website will do a check to verify that the latest version is installed, then Open Office should automatically detect the installation in the dialog you already mentioned.
It may take a few seconds for the information to update in the dialog,
Once the information does update, ensure that the dot to the left of the name is filled in, as that indicates which version Open Office is to use. This has to be filled in even if there's only one entry and it may not fill in automatically.
OpenOffice 4.1.6 and LibreOffice 6.0.6.2 on Windows 7 Pro & Ultimate
If you believe your problem has been resolved, please go to your first post in this topic, click the Edit button and add [Solved] to the beginning of the Subject line.
User avatar
RusselB
Moderator
 
Posts: 5408
Joined: Fri Jan 03, 2014 7:31 am
Location: Sarnia, ON

Re: Can't Install JRE v6, v7, v8, all 32bit error AOO 4.1.3

Postby RoryOF » Wed Feb 22, 2017 8:08 am

@RusselB: it is my understanding that the Java site will only auto identify the correct Java for the bitness of the Windows - i.e., for 64 bit Windows it will identify, supply and install 64 bit Java.

A 32 bit Java must be manually downloaded and installed if a 64 bit Windows is in use.

I think (not certain) that the path to this Java must be manually entered in /Tools /Options /OpenOffice /Java. Perhaps a user of 64bit windows will confirm this. If so, it would be useful if they would post the path to such 32 bit Java on their computer.
Apache OpenOffice 4.1.6 on Xubuntu 18.04.3 (mostly 64 bit version) and very infrequently on Win2K/XP
User avatar
RoryOF
Moderator
 
Posts: 29473
Joined: Sat Jan 31, 2009 9:30 pm
Location: Ireland

Re: Can't Install JRE v6, v7, v8, all 32bit error AOO 4.1.3

Postby RusselB » Wed Feb 22, 2017 8:27 am

I have both 32 and 64 bit Java versions installed on my system and Open Office automatically identified and marked the 32 bit version in the Java dialog
OpenOffice 4.1.6 and LibreOffice 6.0.6.2 on Windows 7 Pro & Ultimate
If you believe your problem has been resolved, please go to your first post in this topic, click the Edit button and add [Solved] to the beginning of the Subject line.
User avatar
RusselB
Moderator
 
Posts: 5408
Joined: Fri Jan 03, 2014 7:31 am
Location: Sarnia, ON

Re: Can't Install JRE v6, v7, v8, all 32bit error AOO 4.1.3

Postby looperupatree » Wed Feb 22, 2017 10:06 am

Thank you RusselB for your prompt response
I have installed each version indipendantly while uninstalling the rest and I've also installed them all together and it dosn't seem to matter.

This makes the third time I've downloaded/installed the recomended v(8) from the same link that you posted— same response.

Thank you for your input RoryOF, I think you may be onto something about which folders the JRE are installed in but the JRE versions I have downloaded don't provide an operturnity to choose the installation folder.  
Apache OpenOffice 4.1.3
Windows 7 home premium
looperupatree
 
Posts: 4
Joined: Wed Feb 22, 2017 12:02 am

Re: Can't Install JRE v6, v7, v8, all 32bit error AOO 4.1.3

Postby Bill » Wed Feb 22, 2017 10:52 am

There's a bug in AOO 4.1.3 that will prevent finding any installed JRE on some systems. Either try AOO 4.1.2 or download the vcredist_x86.exe file in the Microsoft Visual C++ 2010 Service Pack 1 Redistributable Package MFC Security Update from Microsoft and install it.

Issue 127176 - Java not recognized after update to AOO 4.1.3

Microsoft Visual C++ 2010 Service Pack 1 Redistributable Package MFC Security Update
AOO 4.1.6 and LO 6.2.0.3 on Manjaro MATE
Bill
Volunteer
 
Posts: 7330
Joined: Sat Nov 24, 2007 6:48 am

Re: Can't Install JRE v6, v7, v8, all 32bit error AOO 4.1.3

Postby looperupatree » Thu Feb 23, 2017 1:21 am

Thank you for your informative response Bill— I have attempted everything you have suggested. I installed vcredist_x86.exe (nothing) then I uninstalled AOO4.1.3 and attempted to a typical install of AOO4.1.2, however, I received this error message “Error 1310.Error writing to file: C:\Program Files\OpenOffice 4\program\soffice.exe. Verify that you have access to that directory [Abort] [Retry] [Ignore]. I was forced to abort.
After several attempts I took ownership of the entire program files folder with full control and full inheritance as well as Effective Permissions & Auditing. I ensured that every file & folder associated with the above error message had the same settings. And tried again. (same error message).
Then I attempted to reinstall AOO4.1.3 and received a similar error message “Error 1317. An Error occurred while attempting to create c:\program files\openoffice 4”. I checked and I (the owner) am the only user listed for these objects??

Now I’m thinking of disabling or reconfiguring the UAC at least temporarily so I can get this job done. I noticed that the UAC listed the AOO4 installers as ‘Publisher Unknown’.
Any suggestions greatly appreciated— much regards
Apache OpenOffice 4.1.3
Windows 7 home premium
looperupatree
 
Posts: 4
Joined: Wed Feb 22, 2017 12:02 am

Re: Can't Install JRE v6, v7, v8, all 32bit error AOO 4.1.3

Postby Bill » Thu Feb 23, 2017 4:50 pm

Sorry, but that is a different problem and you've already gone beyond what I would have done. I've never had to change any UAC settings or the permissions on the program files folders to install AOO or any other program. If you're going to modify the default permissions and UAC settings set by Windows 7, then you should go to a Windows 7 forum for advice.
AOO 4.1.6 and LO 6.2.0.3 on Manjaro MATE
Bill
Volunteer
 
Posts: 7330
Joined: Sat Nov 24, 2007 6:48 am

Re: Can't Install JRE v6, v7, v8, all 32bit error AOO 4.1.3

Postby looperupatree » Fri Feb 24, 2017 4:33 am

Thanks again Bill for your advise. The UAC configuration change allowed me to install AOO 4.2.3 again but not AOO 4.1.2 and still no Java recognition. So I suppose I'll just have to wait for updates on this matter. Thanks again for you time and consideration. Much regards
Apache OpenOffice 4.1.3
Windows 7 home premium
looperupatree
 
Posts: 4
Joined: Wed Feb 22, 2017 12:02 am


Return to MS Windows

Who is online

Users browsing this forum: No registered users and 4 guests